CSWEEP is an excellent file copy utility.  It supports archiving, 
disk stat reporting, ambiguous exclusion, CRC checking and much 
more.  It allows multiple copies of multiple files from a single 
command. Full ZCPR2 type (du:) directory notation supported.  Operation 
is entirely from the command line.  Contains several useful features 
not included in CP.COM.